Bug 910479

Summary: Need to include full implementation of tomcat-juli.jar and tomcat-juli-adapters.jar
Product: [JBoss] JBoss Enterprise Web Server 2 Reporter: Kyle Lape <klape>
Component: tomcat6, tomcat7Assignee: David Knox <dknox>
Status: CLOSED CURRENTRELEASE QA Contact:
Severity: unspecified Docs Contact:
Priority: unspecified    
Version: 2.0.0CC: dknox, jawilson, jclere, jdoyle, lfuka, majoshi, mhasko, mhusnain, pslavice, rsvoboda, weli
Target Milestone: ---Flags: mhusnain: needinfo? (dknox)
Target Release: 2.0.1   
Hardware: Unspecified   
OS: Unspecified   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Tomcat (6 and 7) includes a version of the <filename>tomcat-juli.jar</filename> file that is hard coded to use <classname>java.util.logging</classname> instead of log4j, which is preferred for JBoss Enterprise Web Server 2. As a result, Tomcat cannot be configured to use log4j unless the complete version of <filename>tomcat-juli.jar</filename> and <filename>tomcat-juli-adapters.jar</filename> are downloaded. JBoss Enterprise Web Server 1.x included the full version of <filename>tomcat-juli.jar</filename> and <filename>tomcat-juli-adapters.jar</filename> to configure log4j successfully. JBoss Enterprise Web Server 2.0 did not include the full version of <filename>tomcat-juli.jar</filename> and excluded <filename>tomcat-juli-adapters.jar</filename>. As a result, log4j could not be configured with JBoss Enterprise 2.0 as expected. JBoss Enterprise Web Server 2.0.1 now contains the correct versions of the <filename>tomcat-juli.jar</filename> and <filename>tomcat-juli-adapters.jar</filename> to configure log4j. As a result, log4j configuration now works as expected.
Story Points: ---
Clone Of:
: 977685 (view as bug list) Environment:
Last Closed: 2014-01-03 12:58:03 UTC Type: Bug
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Bug Depends On:    
Bug Blocks: 956987, 956990, 977685    

Description Kyle Lape 2013-02-12 17:52:44 UTC
Background:

tomcat-juli.jar is really just a repackaged version of apache-commons-logging.  By default Tomcat (6 and 7) ships with a reduced version of tomcat-juli.jar that is hard-coded to use java.util.logging.  Therefore you cannot configure Tomcat to utilize Log4J.  (This does not include web applications; they can configure log4j separately.)

Tomcat provides the "full" version of tomcat-juli.jar as an extra download, along with tomcat-juli-adapters.jar.  Both jars are necessary to enable Tomcat to utilize Log4J.

Problem:

EWS 1.0.x shipped with the "full" version of tomcat-juli.jar by default and tomcat-juli-adapters.jar was found in the "extras" folder.  EWS 2.0.0 shipped with the reduced version of tomcat-juli.jar and did not include tomcat-juli-adapters.jar, therefore preventing Tomcat from utilizing Log4J in a supported manner.  This is a loss of functionality between EWS 1 and 2, further exposed by EWS 2.0.0 documentation explaining how to configure Tomcat to utilize Log4J when it's not possible (without downloading unsupported jars from the tc7 website).

Solution:

Either include the "full" tomcat-juli.jar as the default implementation or provide it in the "extras" folder along with tomcat-juli-adapters.jar.  This should be done for both tomcat 6 and 7.

Comment 6 Misha H. Ali 2013-05-30 09:40:13 UTC
Adding information for cause and consequence. How do we want to document this in release notes (if at all?)

Comment 7 Misha H. Ali 2013-06-03 01:05:12 UTC
Jean-Frederic's comments indicate that this is fixed. If this is an open issue, please clarify.

Comment 8 Libor Fuka 2013-06-03 08:33:32 UTC
Doc text should be in section Tomcat6, Tomcat7. Its not only about Tomcat7.

Comment 9 Michal Haško 2013-06-06 09:40:18 UTC
VERIFIED on 2.0.1-CR1 on RHEL{5,6}-{i386,x86_64}.
Waiting for verification on Windows and Solaris.

Comment 10 Libor Fuka 2013-06-07 07:16:07 UTC
Verified on EWS 2.0.1 CR1 on MS Windows 2008 32/64bit, MS Windows 2008R2 - OracleJDK1.6, OracleJDK1.7

Verified on EWS 2.0.1 CR1 on Solaris 10,11 Intel 32/64bit, Solaris SPARC 10, 11 - OracleJDK 1.6, 1.7